Index: src/test/java/net/sf/ehcache/AbstractCacheTest.java
===================================================================
--- src/test/java/net/sf/ehcache/AbstractCacheTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/AbstractCacheTest.java	(working copy)
@@ -17,20 +17,22 @@
 package net.sf.ehcache;
 
 
-import org.junit.After;
-import org.junit.Assert;
 import static org.junit.Assert.assertTrue;
-import org.junit.Before;
 
-import javax.management.MBeanServer;
-import javax.management.MBeanServerFactory;
 import java.io.File;
 import java.io.IOException;
 import java.lang.reflect.Method;
 import java.util.ArrayList;
 import java.util.List;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import javax.management.MBeanServer;
+import javax.management.MBeanServerFactory;
+
+import org.junit.After;
+import org.junit.Assert;
+import org.junit.Before;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 
 /**
@@ -56,7 +58,7 @@
     public static final String TEST_CLASSES_DIR = "target/test-classes/";
 
 
-    private static final Logger LOG = Logger.getLogger(AbstractCacheTest.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(AbstractCacheTest.class);
 
     /**
      * name for sample cache 1
@@ -148,7 +150,7 @@
      */
     protected void runThreads(final List executables) throws Exception {
         int failures = runThreadsNoCheck(executables);
-            LOG.log(Level.INFO, failures + " failures");
+            LOG.info("{} failures", failures);
             //CHM does have the occasional very slow time.
             assertTrue("Failures = " + failures, failures <= 35);
     }
@@ -181,9 +183,9 @@
                         // Hang on to any errors
                         errors.add(t);
                         if (t instanceof AssertionError) {
-                            LOG.log(Level.INFO, "Throwable " + t + " " + t.getMessage());
+                            LOG.info("Throwable " + t + " " + t.getMessage());
                         } else {
-                            LOG.log(Level.SEVERE, "Throwable " + t + " " + t.getMessage(), t);
+                            LOG.error("Throwable " + t + " " + t.getMessage(), t);
                         }
                     }
                 }
@@ -198,7 +200,7 @@
 
 //        if (errors.size() > 0) {
 //            for (Throwable error : errors) {
-//                LOG.log(Level.INFO, "Error", error);
+//                LOG.info("Error", error);
 //            }
 //        }
         return errors.size();
@@ -215,7 +217,7 @@
             Method method = managementFactoryClass.getMethod("getPlatformMBeanServer", (Class[]) null);
             return (MBeanServer) method.invoke(null, (Object[]) null);
         } catch (Exception e) {
-            LOG.log(Level.INFO, "JDK1.5 ManagementFactory not found. Falling back to JMX1.2.1", e);
+            LOG.info("JDK1.5 ManagementFactory not found. Falling back to JMX1.2.1", e);
             return MBeanServerFactory.createMBeanServer("SimpleAgent");
         }
     }
Index: src/test/java/net/sf/ehcache/distribution/RMICacheManagerPeerTest.java
===================================================================
--- src/test/java/net/sf/ehcache/distribution/RMICacheManagerPeerTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/distribution/RMICacheManagerPeerTest.java	(working copy)
@@ -17,16 +17,8 @@
 package net.sf.ehcache.distribution;
 
 
-import net.sf.ehcache.AbstractCacheTest;
-import net.sf.ehcache.Cache;
-import net.sf.ehcache.CacheManager;
-import net.sf.ehcache.Ehcache;
-import net.sf.ehcache.Element;
-import org.junit.After;
 import static org.junit.Assert.assertEquals;
 import static org.junit.Assert.fail;
-import org.junit.Before;
-import org.junit.Test;
 
 import java.net.SocketTimeoutException;
 import java.rmi.RemoteException;
@@ -34,8 +26,18 @@
 import java.util.ArrayList;
 import java.util.Date;
 import java.util.List;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import net.sf.ehcache.AbstractCacheTest;
+import net.sf.ehcache.Cache;
+import net.sf.ehcache.CacheManager;
+import net.sf.ehcache.Ehcache;
+import net.sf.ehcache.Element;
+
+import org.junit.After;
+import org.junit.Before;
+import org.junit.Test;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * Unit tests for RMICachePeer
@@ -47,7 +49,7 @@
  */
 public class RMICacheManagerPeerTest {
 
-    private static final Logger LOG = Logger.getLogger(RMICacheManagerPeerTest.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(RMICacheManagerPeerTest.class);
 
 
     /**
@@ -207,7 +209,7 @@
             try {
                 Thread.sleep(2000);
             } catch (InterruptedException exception) {
-                LOG.log(Level.SEVERE, exception.getMessage(), exception);
+                LOG.error(exception.getMessage(), exception);
             }
         }
     }
Index: src/test/java/net/sf/ehcache/distribution/EventMessageTest.java
===================================================================
--- src/test/java/net/sf/ehcache/distribution/EventMessageTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/distribution/EventMessageTest.java	(working copy)
@@ -17,11 +17,8 @@
 package net.sf.ehcache.distribution;
 
 
-import net.sf.ehcache.AbstractCacheTest;
-import net.sf.ehcache.Element;
 import static org.junit.Assert.assertEquals;
 import static org.junit.Assert.assertTrue;
-import org.junit.Test;
 
 import java.io.ByteArrayInputStream;
 import java.io.ByteArrayOutputStream;
@@ -31,9 +28,13 @@
 import java.lang.ref.SoftReference;
 import java.util.HashMap;
 import java.util.Map;
-import java.util.logging.Level;
 import java.util.logging.Logger;
 
+import net.sf.ehcache.AbstractCacheTest;
+import net.sf.ehcache.Element;
+
+import org.junit.Test;
+
 /**
  * Tests Serialization and SoftReferences in EventMessage
  *
@@ -61,7 +62,7 @@
             SoftReference softReference = (SoftReference) map.get(new Integer(i));
             byte[] payload = (byte[]) softReference.get();
             if (payload != null) {
-                LOG.log(Level.INFO, "Value found for " + i);
+                LOG.info("Value found for " + i);
                 counter++;
             }
         }
Index: src/test/java/net/sf/ehcache/distribution/RMICacheReplicatorTest.java
===================================================================
--- src/test/java/net/sf/ehcache/distribution/RMICacheReplicatorTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/distribution/RMICacheReplicatorTest.java	(working copy)
@@ -16,24 +16,11 @@
 
 package net.sf.ehcache.distribution;
 
-import net.sf.ehcache.AbstractCacheTest;
-import net.sf.ehcache.Cache;
-import net.sf.ehcache.CacheException;
-import net.sf.ehcache.CacheManager;
-import net.sf.ehcache.Ehcache;
-import net.sf.ehcache.Element;
-import net.sf.ehcache.StopWatch;
-import net.sf.ehcache.ThreadKiller;
-import net.sf.ehcache.event.CountingCacheEventListener;
-import net.sf.ehcache.management.ManagementService;
-import org.junit.After;
 import static org.junit.Assert.assertEquals;
 import static org.junit.Assert.assertNotNull;
 import static org.junit.Assert.assertNull;
 import static org.junit.Assert.assertTrue;
 import static org.junit.Assert.fail;
-import org.junit.Before;
-import org.junit.Test;
 
 import java.io.IOException;
 import java.io.Serializable;
@@ -43,8 +30,23 @@
 import java.util.Date;
 import java.util.List;
 import java.util.Random;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import net.sf.ehcache.AbstractCacheTest;
+import net.sf.ehcache.Cache;
+import net.sf.ehcache.CacheException;
+import net.sf.ehcache.CacheManager;
+import net.sf.ehcache.Ehcache;
+import net.sf.ehcache.Element;
+import net.sf.ehcache.StopWatch;
+import net.sf.ehcache.ThreadKiller;
+import net.sf.ehcache.event.CountingCacheEventListener;
+import net.sf.ehcache.management.ManagementService;
+
+import org.junit.After;
+import org.junit.Before;
+import org.junit.Test;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * Tests replication of Cache events
@@ -71,7 +73,7 @@
      */
     protected static final boolean SYNCHRONOUS = false;
 
-    private static final Logger LOG = Logger.getLogger(RMICacheReplicatorTest.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(RMICacheReplicatorTest.class);
 
 
     /**
@@ -474,7 +476,7 @@
         }
         long elapsed = stopWatch.getElapsedTime();
         long putTime = ((elapsed / 1000));
-        LOG.log(Level.INFO, "Put Elapsed time: " + putTime);
+        LOG.info("Put Elapsed time: " + putTime);
         //assertTrue(putTime < 8);
 
         assertEquals(2000, cache1.getSize());
@@ -514,7 +516,7 @@
         }
         long elapsed = stopWatch.getElapsedTime();
         long putTime = ((elapsed / 1000));
-        LOG.log(Level.INFO, "Put Elapsed time: " + putTime);
+        LOG.info("Put Elapsed time: " + putTime);
 
         assertEquals(2000, cache1.getSize());
 
@@ -588,7 +590,7 @@
         }
         long elapsed = stopWatch.getElapsedTime();
         long putTime = ((elapsed / 1000));
-        LOG.log(Level.INFO, "Put Elapsed time: " + putTime);
+        LOG.info("Put Elapsed time: " + putTime);
         //assertTrue(putTime < 8);
 
         assertEquals(100000, cache1.getSize());
@@ -657,7 +659,7 @@
         assertEquals(0, manager4.getCache("sampleCache1").getSize());
         assertEquals(0, manager5.getCache("sampleCache1").getSize());
 
-        LOG.log(Level.INFO, "Remove Elapsed time: " + timeForPropagate);
+        LOG.info("Remove Elapsed time: " + timeForPropagate);
 
 
     }
@@ -691,7 +693,7 @@
         }
         long elapsed = stopWatch.getElapsedTime();
         long putTime = ((elapsed / 1000));
-        LOG.log(Level.INFO, "Put and Propagate Synchronously Elapsed time: " + putTime + " seconds");
+        LOG.info("Put and Propagate Synchronously Elapsed time: " + putTime + " seconds");
 
         assertEquals(2000, manager1.getCache("sampleCache3").getSize());
         assertEquals(2000, manager2.getCache("sampleCache3").getSize());
@@ -1363,7 +1365,7 @@
             final long end = System.currentTimeMillis();
             if (end - start >= 1000) {
                 start = end;
-                LOG.log(Level.INFO, "Items written: " + count);
+                LOG.info("Items written: " + count);
                 //make sure it does not choke
                 assertTrue(count > 1000);
                 count = 0;
@@ -1481,14 +1483,10 @@
                 Cache cache = manager.getCache(cacheName);
                 if (operationSelector == 100) {
                     cache.get(key);
-                    if (LOG.isLoggable(Level.FINE)) {
-                        LOG.log(Level.FINE, cache.getGuid() + ": get " + key);
-                    }
+                    LOG.debug("{}: get {}", cache.getGuid(), key);
                 } else if (operationSelector == 100) {
                     cache.remove(key);
-                    if (LOG.isLoggable(Level.FINE)) {
-                        LOG.log(Level.FINE, cache.getGuid() + ": remove " + key);
-                    }
+                    LOG.debug("{}: remove {}", cache.getGuid(), key);
                 } else if (operationSelector == 2) {
                     cache.put(new Element(key,
                             "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA"
@@ -1496,13 +1494,11 @@
                                     + "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA"
                                     + "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA"
                                     + "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA"));
-                    if (LOG.isLoggable(Level.FINE)) {
-                        LOG.log(Level.FINE, cache.getGuid() + ": put " + key);
-                    }
+                    LOG.debug("{}: put {}", cache.getGuid(), key);
                 } else {
                     //every twelfth time 1/4 * 1/3 = 1/12
                     if (random.nextInt(3) == 1) {
-                        LOG.log(Level.FINE, "cache.removeAll()");
+                        LOG.debug("cache.removeAll()");
                         cache.removeAll();
                     }
                 }
Index: src/test/java/net/sf/ehcache/distribution/PayloadUtilTest.java
===================================================================
--- src/test/java/net/sf/ehcache/distribution/PayloadUtilTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/distribution/PayloadUtilTest.java	(working copy)
@@ -17,19 +17,20 @@
 package net.sf.ehcache.distribution;
 
 
+import static org.junit.Assert.assertEquals;
+import static org.junit.Assert.assertTrue;
+
+import java.io.IOException;
+import java.util.logging.Logger;
+
 import net.sf.ehcache.AbstractCacheTest;
 import net.sf.ehcache.CacheManager;
 import net.sf.ehcache.StopWatch;
+
 import org.junit.After;
-import static org.junit.Assert.assertEquals;
-import static org.junit.Assert.assertTrue;
 import org.junit.Before;
 import org.junit.Test;
 
-import java.io.IOException;
-import java.util.logging.Level;
-import java.util.logging.Logger;
-
 /**
  * Note these tests need a live network interface running in multicast mode to work
  *
@@ -74,7 +75,7 @@
         final byte[] compressed = PayloadUtil.gzip(payload.getBytes());
 
         int length = compressed.length;
-        LOG.log(Level.INFO, "gzipped size: " + length);
+        LOG.info("gzipped size: " + length);
         assertTrue("Heartbeat too big for one Datagram " + length, length <= 1500);
 
     }
@@ -104,7 +105,7 @@
             }
         }
         long elapsed = stopWatch.getElapsedTime();
-        LOG.log(Level.INFO, "Gzip took " + elapsed / 10F + " µs");
+        LOG.info("Gzip took " + elapsed / 10F + " µs");
     }
 
     /**
@@ -133,7 +134,7 @@
             PayloadUtil.ungzip(compressed);
         }
         long elapsed = stopWatch.getElapsedTime();
-        LOG.log(Level.INFO, "Ungzip took " + elapsed / 10000F + " µs");
+        LOG.info("Ungzip took " + elapsed / 10000F + " µs");
     }
 
 
Index: src/test/java/net/sf/ehcache/distribution/MulticastRMIPeerProviderTest.java
===================================================================
--- src/test/java/net/sf/ehcache/distribution/MulticastRMIPeerProviderTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/distribution/MulticastRMIPeerProviderTest.java	(working copy)
@@ -16,25 +16,26 @@
 
 package net.sf.ehcache.distribution;
 
-import net.sf.ehcache.AbstractCacheTest;
-import net.sf.ehcache.Cache;
-import net.sf.ehcache.CacheManager;
-import net.sf.ehcache.Ehcache;
-import net.sf.ehcache.StopWatch;
-import org.junit.After;
 import static org.junit.Assert.assertEquals;
 import static org.junit.Assert.assertFalse;
-import org.junit.Before;
-import org.junit.Test;
 
 import java.io.IOException;
 import java.net.InetAddress;
 import java.net.MulticastSocket;
 import java.rmi.RemoteException;
 import java.util.List;
-import java.util.logging.Level;
 import java.util.logging.Logger;
 
+import net.sf.ehcache.AbstractCacheTest;
+import net.sf.ehcache.Cache;
+import net.sf.ehcache.CacheManager;
+import net.sf.ehcache.Ehcache;
+import net.sf.ehcache.StopWatch;
+
+import org.junit.After;
+import org.junit.Before;
+import org.junit.Test;
+
 /**
  * Multicast tests. These require special machine configuration.
  * <p/>
@@ -235,7 +236,7 @@
         }
         long time = stopWatch.getElapsedTime();
 
-        LOG.log(Level.INFO, "Remote name lookup time in ms: " + time / 1000f);
+        LOG.info("Remote name lookup time in ms: " + time / 1000f);
 
     }
 
Index: src/test/java/net/sf/ehcache/ElementTest.java
===================================================================
--- src/test/java/net/sf/ehcache/ElementTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/ElementTest.java	(working copy)
@@ -21,7 +21,6 @@
 import static org.junit.Assert.assertEquals;
 import static org.junit.Assert.assertFalse;
 import static org.junit.Assert.assertTrue;
-import org.junit.Test;
 
 import java.io.ByteArrayInputStream;
 import java.io.ByteArrayOutputStream;
@@ -31,8 +30,10 @@
 import java.io.ObjectOutputStream;
 import java.io.Serializable;
 import java.util.HashMap;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import org.junit.Test;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * Test cases for the Element.
@@ -42,7 +43,7 @@
  */
 public class ElementTest extends AbstractCacheTest {
 
-    private static final Logger LOG = Logger.getLogger(ElementTest.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(ElementTest.class);
 
 
     /**
@@ -62,7 +63,7 @@
             try {
                 bout.write("abcdefghijklmnopqrstv1234567890".getBytes());
             } catch (IOException e) {
-                LOG.log(Level.SEVERE, "This should not happen");
+                LOG.error("This should not happen");
             }
         }
         byte[] value = bout.toByteArray();
@@ -73,7 +74,7 @@
             element.getSerializedSize();
         }
         long elapsed = stopWatch.getElapsedTime() / 100;
-        LOG.log(Level.INFO, "In-memory size in bytes: " + element.getSerializedSize()
+        LOG.info("In-memory size in bytes: " + element.getSerializedSize()
                 + " time to serialize in ms: " + elapsed);
         assertTrue("Large object clone takes more than than 100ms", elapsed < 100);
     }
@@ -96,7 +97,7 @@
             element.getSerializedSize();
         }
         long elapsed = stopWatch.getElapsedTime() / 100;
-        LOG.log(Level.INFO, "In-memory size in bytes: " + element.getSerializedSize()
+        LOG.info("In-memory size in bytes: " + element.getSerializedSize()
                 + " time to serialize in ms: " + elapsed);
         assertTrue("Large object clone took more than 500ms", elapsed < 500);
     }
@@ -119,8 +120,8 @@
             element.clone();
         }
         long elapsed = stopWatch.getElapsedTime() / 100;
-        LOG.log(Level.INFO, "Time to clone object in ms: " + elapsed);
-        LOG.log(Level.INFO, "In-memory size in bytes: " + element.getSerializedSize()
+        LOG.info("Time to clone object in ms: " + elapsed);
+        LOG.info("In-memory size in bytes: " + element.getSerializedSize()
                 + " time to clone in ms: " + elapsed);
         assertTrue("Large object clone takes less than 1 second", elapsed < 1000);
     }
@@ -147,7 +148,7 @@
             element.clone();
         }
         long elapsed = stopWatch.getElapsedTime() / 100;
-        LOG.log(Level.INFO, "In-memory size in bytes: " + element.getSerializedSize()
+        LOG.info("In-memory size in bytes: " + element.getSerializedSize()
                 + " time to serialize in ms: " + elapsed);
         assertTrue("Large object clone takes less than 130 milliseconds", elapsed < 180);
     }
@@ -159,7 +160,7 @@
             try {
                 bout.write("abcdefghijklmnopqrstv1234567890".getBytes());
             } catch (IOException e) {
-                LOG.log(Level.SEVERE, "This should not happen");
+                LOG.error("This should not happen");
             }
         }
         return bout.toByteArray();
@@ -191,7 +192,7 @@
             ois.close();
         }
         long elapsed = stopWatch.getElapsedTime() / 100;
-        LOG.log(Level.INFO, "In-memory size in bytes: " + serializedValue.length
+        LOG.info("In-memory size in bytes: " + serializedValue.length
                 + " time to deserialize in ms: " + elapsed);
         assertTrue(elapsed < 30);
     }
Index: src/test/java/net/sf/ehcache/CacheManagerTest.java
===================================================================
--- src/test/java/net/sf/ehcache/CacheManagerTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/CacheManagerTest.java	(working copy)
@@ -16,6 +16,23 @@
 
 package net.sf.ehcache;
 
+import static org.junit.Assert.assertEquals;
+import static org.junit.Assert.assertFalse;
+import static org.junit.Assert.assertNotNull;
+import static org.junit.Assert.assertNull;
+import static org.junit.Assert.assertTrue;
+import static org.junit.Assert.fail;
+
+import java.io.File;
+import java.io.FileInputStream;
+import java.io.InputStream;
+import java.net.URL;
+import java.util.Date;
+import java.util.Iterator;
+import java.util.List;
+import java.util.Set;
+import java.util.logging.Logger;
+
 import net.sf.ehcache.bootstrap.BootstrapCacheLoader;
 import net.sf.ehcache.config.CacheConfiguration;
 import net.sf.ehcache.config.Configuration;
@@ -31,26 +48,10 @@
 import net.sf.ehcache.event.RegisteredEventListeners;
 import net.sf.ehcache.store.DiskStore;
 import net.sf.ehcache.store.Store;
+
 import org.junit.After;
-import static org.junit.Assert.assertEquals;
-import static org.junit.Assert.assertFalse;
-import static org.junit.Assert.assertNotNull;
-import static org.junit.Assert.assertNull;
-import static org.junit.Assert.assertTrue;
-import static org.junit.Assert.fail;
 import org.junit.Test;
 
-import java.io.File;
-import java.io.FileInputStream;
-import java.io.InputStream;
-import java.net.URL;
-import java.util.Date;
-import java.util.Iterator;
-import java.util.List;
-import java.util.Set;
-import java.util.logging.Level;
-import java.util.logging.Logger;
-
 /**
  * Tests for CacheManager
  *
@@ -623,7 +624,7 @@
             }
         }
         long elapsedTime = stopWatch.getElapsedTime();
-        LOG.log(Level.INFO, "Time taken was: " + elapsedTime);
+        LOG.info("Time taken was: " + elapsedTime);
         assertTrue("Time taken was: " + elapsedTime, elapsedTime < 5000);
     }
 
@@ -754,7 +755,7 @@
         for (int i = 0; i < threads.size(); i++) {
             Thread thread = (Thread) threads.get(i);
             String name = thread.getName();
-            LOG.log(Level.INFO, name);
+            LOG.info(name);
         }
     }
 
Index: src/test/java/net/sf/ehcache/constructs/blocking/UpdatingSelfPopulatingCacheTest.java
===================================================================
--- src/test/java/net/sf/ehcache/constructs/blocking/UpdatingSelfPopulatingCacheTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/constructs/blocking/UpdatingSelfPopulatingCacheTest.java	(working copy)
@@ -17,21 +17,23 @@
 package net.sf.ehcache.constructs.blocking;
 
 import static junit.framework.Assert.assertSame;
-import net.sf.ehcache.CacheException;
-import net.sf.ehcache.Element;
-import net.sf.ehcache.StopWatch;
 import static org.junit.Assert.assertEquals;
 import static org.junit.Assert.assertTrue;
 import static org.junit.Assert.fail;
-import org.junit.Test;
 
 import java.io.Serializable;
 import java.util.ArrayList;
 import java.util.List;
 import java.util.concurrent.ExecutionException;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import net.sf.ehcache.CacheException;
+import net.sf.ehcache.Element;
+import net.sf.ehcache.StopWatch;
 
+import org.junit.Test;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
 
 /**
  * Test cases for the {@link UpdatingSelfPopulatingCache}.
@@ -41,7 +43,7 @@
  */
 public class UpdatingSelfPopulatingCacheTest extends SelfPopulatingCacheTest {
 
-    private static final Logger LOG = Logger.getLogger(UpdatingSelfPopulatingCacheTest.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(UpdatingSelfPopulatingCacheTest.class);
 
     /**
      * Tests fetching an entry, and then an update.
@@ -135,7 +137,7 @@
         final CountingCacheEntryFactory factory = new CountingCacheEntryFactory(value);
         selfPopulatingCache = new UpdatingSelfPopulatingCache(cache, factory);
         long duration = thrashCache((UpdatingSelfPopulatingCache) selfPopulatingCache, 300L, 1500L);
-        LOG.log(Level.FINE, "Thrash Duration:" + duration);
+        LOG.debug("Thrash Duration:" + duration);
     }
 
     /**
Index: src/test/java/net/sf/ehcache/constructs/blocking/SelfPopulatingCacheTest.java
===================================================================
--- src/test/java/net/sf/ehcache/constructs/blocking/SelfPopulatingCacheTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/constructs/blocking/SelfPopulatingCacheTest.java	(working copy)
@@ -17,24 +17,25 @@
 package net.sf.ehcache.constructs.blocking;
 
 import static junit.framework.Assert.assertSame;
+import static org.junit.Assert.assertEquals;
+import static org.junit.Assert.assertFalse;
+import static org.junit.Assert.assertNotNull;
+import static org.junit.Assert.assertNull;
+import static org.junit.Assert.assertTrue;
+import static org.junit.Assert.fail;
 import net.sf.ehcache.Cache;
 import net.sf.ehcache.CacheManager;
 import net.sf.ehcache.CacheTest;
 import net.sf.ehcache.Ehcache;
 import net.sf.ehcache.Element;
 import net.sf.ehcache.event.CountingCacheEventListener;
+
 import org.junit.After;
-import static org.junit.Assert.assertEquals;
-import static org.junit.Assert.assertFalse;
-import static org.junit.Assert.assertNotNull;
-import static org.junit.Assert.assertNull;
-import static org.junit.Assert.assertTrue;
-import static org.junit.Assert.fail;
 import org.junit.Before;
 import org.junit.Test;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
-import java.util.logging.Level;
-import java.util.logging.Logger;
 
 
 /**
@@ -46,7 +47,7 @@
  */
 public class SelfPopulatingCacheTest extends CacheTest {
 
-    private static final Logger LOG = Logger.getLogger(SelfPopulatingCacheTest.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(SelfPopulatingCacheTest.class);
 
     /**
      * Shared with subclass
@@ -95,7 +96,7 @@
      */
     @Test
     public void testFetch() throws Exception {
-        LOG.log(Level.SEVERE, ".");
+        LOG.error(".");
 
         // Lookup
         final Element element = selfPopulatingCache.get("key");
@@ -404,7 +405,7 @@
             try {
                 cache.get(key);
             } catch (Exception e) {
-                LOG.log(Level.INFO, "Exception: " + e.getMessage());
+                LOG.info("Exception: " + e.getMessage());
             }
         }
     }
@@ -456,7 +457,7 @@
             }
         } catch (OutOfMemoryError e) {
             //the disk store backs up on the laptop. 
-            LOG.log(Level.INFO, "OutOfMemoryError: " + e.getMessage() + " " + i);
+            LOG.info("OutOfMemoryError: " + e.getMessage() + " " + i);
             fail();
         }
     }
Index: src/test/java/net/sf/ehcache/constructs/blocking/BlockingCacheTest.java
===================================================================
--- src/test/java/net/sf/ehcache/constructs/blocking/BlockingCacheTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/constructs/blocking/BlockingCacheTest.java	(working copy)
@@ -16,27 +16,29 @@
 
 package net.sf.ehcache.constructs.blocking;
 
-import net.sf.ehcache.Cache;
-import net.sf.ehcache.CacheTest;
-import net.sf.ehcache.Ehcache;
-import net.sf.ehcache.Element;
-import net.sf.ehcache.Status;
-import net.sf.ehcache.StopWatch;
-import org.junit.After;
 import static org.junit.Assert.assertEquals;
 import static org.junit.Assert.assertNull;
 import static org.junit.Assert.assertTrue;
 import static org.junit.Assert.fail;
-import org.junit.Before;
-import org.junit.Test;
 
 import java.io.Serializable;
 import java.util.ArrayList;
 import java.util.HashMap;
 import java.util.List;
 import java.util.Map;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import net.sf.ehcache.Cache;
+import net.sf.ehcache.CacheTest;
+import net.sf.ehcache.Ehcache;
+import net.sf.ehcache.Element;
+import net.sf.ehcache.Status;
+import net.sf.ehcache.StopWatch;
+
+import org.junit.After;
+import org.junit.Before;
+import org.junit.Test;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * Test cases for the {@link BlockingCache}.
@@ -47,7 +49,7 @@
  */
 public class BlockingCacheTest extends CacheTest {
 
-    private static final Logger LOG = Logger.getLogger(BlockingCacheTest.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(BlockingCacheTest.class);
     private BlockingCache blockingCache;
 
     /**
@@ -228,7 +230,7 @@
         Ehcache cache = manager.getCache("sampleCache1");
         blockingCache = new BlockingCache(cache);
         long duration = thrashCache(blockingCache, 50, 500L, 1000L);
-        LOG.log(Level.FINE, "Thrash Duration:" + duration);
+        LOG.debug("Thrash Duration:" + duration);
     }
 
     /**
@@ -248,7 +250,7 @@
         } catch (Exception e) {
             //expected
         }
-        LOG.log(Level.FINE, "Thrash Duration:" + duration);
+        LOG.debug("Thrash Duration:" + duration);
     }
 
     /**
@@ -261,7 +263,7 @@
         blockingCache = new BlockingCache(cache);
         blockingCache.setTimeoutMillis((int) (400 * StopWatch.getSpeedAdjustmentFactor()));
         long duration = thrashCache(blockingCache, 50, 400L, (long) (1000L * StopWatch.getSpeedAdjustmentFactor()));
-        LOG.log(Level.FINE, "Thrash Duration:" + duration);
+        LOG.debug("Thrash Duration:" + duration);
     }
 
     /**
